/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ChaikinVolatilityIndicatorStrategy } from "./ChaikinVolatilityIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let ChaikinVolatilityIndicator = /*@__PURE__*/ (() => {
    class ChaikinVolatilityIndicator extends StrategyBasedIndicator {
        bj() {
            return new ChaikinVolatilityIndicator();
        }
        get_abt() {
            return new ChaikinVolatilityIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return ChaikinVolatilityIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get ace() {
            return typeGetValue(this.c(ChaikinVolatilityIndicator.acf));
        }
        set ace(a) {
            this.h(ChaikinVolatilityIndicator.acf, a);
        }
        abz() {
            return this.ace;
        }
        ab8(a) {
            this.ace = a;
        }
    }
    ChaikinVolatilityIndicator.$t = markType(ChaikinVolatilityIndicator, 'ChaikinVolatilityIndicator', StrategyBasedIndicator.$);
    ChaikinVolatilityIndicator.acf = StrategyBasedIndicator.acb(10, ChaikinVolatilityIndicator.$);
    return ChaikinVolatilityIndicator;
})();
